kr.co.hanwha.hifive.enums

## Enum TaskStatusType

- java.lang.Object
- - java.lang.Enum<TaskStatusType>
  - - kr.co.hanwha.hifive.enums.TaskStatusType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TaskStatusType>

    public enum TaskStatusType
    extends java.lang.Enum<TaskStatusType>

TASK 상태값

Created by sanghoonkwon on 2018. 1. 25..

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASSIGNED` 할당
`CLOSED` 종료
`CREATED` 생성
`DOING_TODAY` 수행중
`EVALUATED` 완료
`NONE`
`REJECTED_EVALUATION` 평가반려
`REJECTED_REQUEST` 요청반려
`REQUESTED` 요청

### Field Summary

Fields
`private int` `mType`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()`
`static TaskStatusType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TaskStatusType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final TaskStatusType NONE

#### CREATED

    public static final TaskStatusType CREATED

생성

#### ASSIGNED

    public static final TaskStatusType ASSIGNED

할당

#### REQUESTED

    public static final TaskStatusType REQUESTED

요청

#### REJECTED_REQUEST

    public static final TaskStatusType REJECTED_REQUEST

요청반려

#### DOING_TODAY

    public static final TaskStatusType DOING_TODAY

수행중

#### EVALUATED

    public static final TaskStatusType EVALUATED

완료

#### REJECTED_EVALUATION

    public static final TaskStatusType REJECTED_EVALUATION

평가반려

#### CLOSED

    public static final TaskStatusType CLOSED

종료

### Field Detail

#### mType

    private int mType

### Method Detail

#### values

    public static TaskStatusType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TaskStatusType c : TaskStatusType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TaskStatusType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCode

    public int getCode()